com.tibbo.aggregate.common.context

## Class AbstractEntityDefinition

- java.lang.Object
- - com.tibbo.aggregate.common.context.AbstractEntityDefinition

- All Implemented Interfaces:
    EntityDefinition
  Direct Known Subclasses:
    BasicActionDefinition, EventDefinition, FunctionDefinition, VariableDefinition

      public class AbstractEntityDefinition
      extends java.lang.Object
      implements EntityDefinition

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `immutable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEntityDefinition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `java.lang.Integer` | `getEntityType()`
    `java.lang.String` | `getGroup()`
    `java.lang.String` | `getHelp()`
    `java.lang.String` | `getIconId()`
    `java.lang.Integer` | `getIndex()`
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getOwner()`
    `boolean` | `isImmutable()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setGroup(java.lang.String group)`
    `void` | `setHelp(java.lang.String help)`
    `void` | `setIconId(java.lang.String iconId)`
    `void` | `setImmutable(boolean immutable)`
    `void` | `setIndex(java.lang.Integer index)`
    `void` | `setName(java.lang.String name)`
    `void` | `setOwner(java.lang.Object owner)`
    `java.lang.String` | `toDetailedString()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### immutable

          protected transient boolean immutable

  - ### Constructor Detail

    - #### AbstractEntityDefinition

          public AbstractEntityDefinition()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `EntityDefinition`

    - #### setName

          public void setName(java.lang.String name)

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### setHelp

          public void setHelp(java.lang.String help)

    - #### setGroup

          public void setGroup(java.lang.String group)

    - #### isImmutable

          public boolean isImmutable()

    - #### setImmutable

          public void setImmutable(boolean immutable)

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `EntityDefinition`

    - #### getHelp

          public java.lang.String getHelp()

      Specified by:
        `getHelp` in interface `EntityDefinition`

    - #### getGroup

          public java.lang.String getGroup()

      Specified by:
        `getGroup` in interface `EntityDefinition`

    - #### getIndex

          public java.lang.Integer getIndex()

      Specified by:
        `getIndex` in interface `EntityDefinition`

    - #### setIndex

          public void setIndex(java.lang.Integer index)

    - #### setIconId

          public void setIconId(java.lang.String iconId)

    - #### getIconId

          public java.lang.String getIconId()

      Specified by:
        `getIconId` in interface `EntityDefinition`

    - #### getOwner

          public java.lang.Object getOwner()

      Specified by:
        `getOwner` in interface `EntityDefinition`

    - #### setOwner

          public void setOwner(java.lang.Object owner)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toDetailedString

          public java.lang.String toDetailedString()

      Specified by:
        `toDetailedString` in interface `EntityDefinition`

    - #### getEntityType

          public java.lang.Integer getEntityType()

      Specified by:
        `getEntityType` in interface `EntityDefinition`